.TH CRACK 8
.SH NAME
Crack, Reporter \- programs to break password files
.SH SYNOPSIS
.B Crack
.I [options] [\-fmt format] [file ...]
.br
.B Crack\-Reporter
.I [\-quiet] [\-html]
.SH "DESCRIPTION"
This manual page documents briefly the 
.BR Crack,
and
.B Crack\-Reporter
commands.
This manual page was written for the Debian GNU/Linux distribution
because the original program does not have a manual page.
Instead, there is some documentation available at 
.I /usr/share/doc/crack
which you are encouraged to read
.PP
.B Crack
is not a program designed to break the password of every user in
the file.  Rather, it is designed to find weak passwords in the file, by
attacking those sorts of bad passwords which are most likely to be used,
in the order in which they would most easily be found (ie: are most
likely to be used by a moronic user).

Crack is not designed to break user passwords; it is designed to break
password files.  This is a subtle but important distinction.

.B Crack\-Reporter
will show what passwords have been cracked, as well as view
errors that have been detected in the source password files, etc.
Guesses are listed chronologically, so users who wish to see incremental
changes in the output as Crack continues to run over a course of days or
weeks, are encouraged to wrap invocations of \fBCrack\-Reporter\fR in a script with
\fBdiff\fR.


.SH OPTIONS
A summary of options are included below.
For Crack:
.TP
.B \-makedict
Creates and compresses the dictionaries \fBCrack\fR will use
.TP
.B \-makeonly
Compiles the binaries for \fBCrack\fR (not necessary for Debian GNU/Linux since
they are already provided)
.TP
.B \-debug
Lets you see what the Crack script is doing.
.TP
.B \-recover
Used when restarting an abnormally-terminated run; suppresses rebuild
of the gecos-derived dictionaries.
.TP
.B \-fgnd
Runs the password cracker in the foreground, with stdin, stdout and
stderr attached to the usual places.
.TP
.B \-fmt format
Specifies the input file format. 
.TP
.B \-from N
Starts password cracking from rule number "N".
.TP
.B \-keep
Prevents deletion of the temporary file used to store the password
cracker's input.
.TP
.B \-mail
E-Mail a warning message to anyone whose password is cracked. 
See the script \fBnastygram\fR.
.TP
.B \-network
Runs the password cracker in \fInetwork\fR mode.
.TP
.B \-nice N
Runs the password cracker at a reduced priority, so that other jobs can
take priority over the CPU.
.TP
.B \-kill filename
.TP
.B \-remote
Internal options used to support networking.

For Crack\-Reporter
.B \-html
Produces output in a fairly basic HTML-readable format.
.B \-quiet
Suppresses the reporting of errors in the password file
(corrupt entries, etc)

.SH EXAMPLES
To run Crack

   # Crack \-nice 10 /etc/passwd

If a Crack session is killed accidentally, it can be restarted with moderate
efficiency by doing:

    mv run/Dhostname.N run/tempfilename
    Crack \-recover \-fmt spf run/tempfilename

However if all you wish to do is start cracking passwords from some specific
rule number, or to restart a run whilst skipping over a few rulesets, try:

    Crack [\-recover] \-from N filename ...

\&...where N is the number of the rule to start working from.

.SH FILES
.I /usr/share/Crack
Location of the Crack program and scripts.
.I /var/lib/Crack/
Location for the temporary files used by Crack.

.SH "SEE ALSO"
You will find more documentation about Crack in the text files available in
.IR /usr/share/doc/crack\-common
Documentation includes the program's Manual (in HTML and Text files), the
User's Frequently Asked Questions (FAQ), examples, articles and even some
humour.

.SH AUTHOR
This manual page was written by Javier Fernández-Sanguino Peña <jfs@debian.org>,
for the Debian GNU/Linux system (but may be used by others).

.I Crack
and
.I Crack\-Reporter
(originally called \fIReporter\fR)
were written by Alec Muffett  <Alec.Muffett@UK.Sun.COM>

